
/*
 *      Copyright, KLOS Technologies, Inc.
 *      All Right Reserved
 */

struct arp_header
{   word type;
    word protocol;
    byte node_len;
    byte host_len;
    word operation;
    byte source_node_addr[6];
    dword source_host_id;
    byte target_node_addr[6];
    dword target_host_id;
};

struct arp_header2
{   word type;
    word protocol;
    byte node_len;
    byte host_len;
    word operation;
    byte source_node_addr;
    dword source_host_id;
    byte target_node_addr;
    dword target_host_id;
};

struct ip_header
{   byte version_length;
    byte type_of_service;
    word length;
    word id;
    word fragment_offset;
    byte time_to_live;
    byte protocol;
    word checksum;
    dword source_host_id;
    dword destination_host_id;
    byte options[];
};

struct tcp_header
{   word source_port;
    word destination_port;
    dword sequence;
    dword acknowledgement;
    word control;
    word window;
    word checksum;
    word urgent_ptr;
};

struct udp_header
{   word source_port;
    word destination_port;
    word length;
    word checksum;
    byte data[];
};

struct rip_entry
{   word address_family;
    word reserved1;
    dword ip_address;
    dword reserved2[2];
    dword metric;
};

struct rip_header
{   byte command;
    byte version;
    word reserved;
    struct rip_entry rip_entries[];
};

